Name:           proxytunnel
Version:        1.9.0
Release:        4%{?dist}
Summary:        Tool to tunnel a connection through an standard HTTP(S) proxy
Group:          Applications/Internet
License:        GPLv2+ and BSD and MIT
URL:            http://proxytunnel.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel


%description
ProxyTunnel is a program that connects stdin and stdout to a server somewhere 
on the network, through a standard HTTPS proxy. We mostly use it to tunnel SSH
sessions through HTTP(S) proxies.
Proxytunnel can currently do the following:
    * Create tunnels using HTTP and HTTPS proxies (That understand the HTTP 
      CONNECT command).
    * Work as a back-end driver for an OpenSSH client, and create SSH
      connections through HTTP(S) proxies.
    * Work as a stand-alone application, listening on a port for connections, 
      and then tunneling these connections to a specified destination. 


%prep
%setup -q

# Fix permissions
chmod 644 CHANGES

# Convert docs to UTF-8
for f in CHANGES proxytunnel.1; do
    iconv -f iso-8859-1 -t utf-8 $f > $f.tmp
    touch -r $f $f.tmp
    mv -f $f.tmp $f
done


%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install PREFIX=%{_prefix} DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES CREDITS KNOWN_ISSUES LICENSE.txt README RELNOTES TODO
%{_bindir}/proxytunnel
%{_mandir}/man1/proxytunnel.1*


%changelog
* Fri Apr 09 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.9.0-4
- Fix Source0
- Fix man dir

* Wed Apr 07 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.9.0-3
- Fix the license

* Sat Mar 13 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.9.0-2
- Fix the summary
- Replace generally useful macros by regular commands
- Preserve timestamps of documentation files

* Thu Feb 11 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.9.0-1
- Initial package build

